Skip to main content
GET
List an application's workflow runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string
required

The application's id.

Query Parameters

page
integer
default:1

Page number, from 1.

Required range: x >= 1
page_size
integer
default:15

Runs per page.

Required range: 1 <= x <= 50
status
string

Only runs in this GitHub status or conclusion (for example in_progress, completed, failure).

Response

A page of workflow runs.

A page of GitHub Actions workflow runs with the repository they belong to.

runs
ApplicationWorkflowRun · object[]
required
total
integer
required
error
string | null
required
repo_owner
string
required
repo_name
string
required